Index: WAeUP_SRP/trunk/skins/waeup_student/admission_accept_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_accept_form.pt	(revision 789)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_accept_form.pt	(revision 789)
@@ -0,0 +1,60 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="info"
+            tal:define="review_state info/review_state">
+            
+        <div style="text-align: right"
+             tal:condition="python:review_state in ('admission_applied', 'clearance_pin_entered',)">
+        <a href="" target="slip" tal:attributes="href string:application_slip"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            Application Slip
+        </a>
+        
+        </div>
+
+        <h3>My Application Record</h3>
+        <br />
+        <span tal:omit-tag=""
+              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+              layout_mode='view', 
+              layout_id='student_application_fe')" 
+              />
+      </span>
+        <h3>My Study Course</h3>
+      <br />
+      <table tal:define="sc python: info['course_doc']">
+        <tr>
+          <td tal:content="sc/title" /> <td>ID: <span tal:content="sc/study_course" /></td>
+        </tr>
+        <tr>
+          <td tal:content="sc/title" /> <td tal:content="sc/study_course" />
+        </tr>
+      </table>
+      
+      <form action="." method="post" class="group"
+            >
+        <table width="100%" cellspacing="0" cellpadding="2"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+                <input type="submit" name="defer_admission:method" value="defer"
+                       class="destructive"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('confirm that you defer'), )" 
+                       />
+                <input type="submit" name="application_edit:method"
+                       class="context" value="upload Passport" 
+                       />
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 788)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 789)
@@ -41,5 +41,5 @@
 psm = ""
 args = {}
-action = "/clearance_edit_view"
+action = "/clearance_edit_form"
 if cpsdocument_edit_button:
     if is_valid:
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 789)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 789)
@@ -0,0 +1,75 @@
+<tal:block define="
+           info context/getStudentInfo;
+           rendered_main python:info['clear_doc'].render(request=request,
+                                               layout_mode = 'edit',
+                                               schema_id='student_clearance',
+                                               layout_id='student_clearance_fe',
+                                               layout_mode='edit',
+                                               use_session=True);
+           form_action string:clearance_edit;
+           edition python:True;
+           creation python:False;
+           metadata nothing;
+    ">
+<metal:block define-macro="edit_form">
+<metal:block use-macro="here/waeup_content_master/macros/master">
+  <metal:block fill-slot="style_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+
+    <metal:block define-macro="widgets_javascript">
+    <!-- XXX this has to move to CPSSchemas -->
+    <style type="text/css"
+      tal:content="string:@import url(${base_url}calendar-win2k-1.css);"></style>
+    <script type="text/javascript" src="calendar.js"
+      tal:attributes="src string:${base_url}calendar.js"></script>
+    <script type="text/javascript" src="lang/calendar-en.js"
+      tal:define="local cpsmcat/getSelectedLanguage"
+      tal:attributes="src string:${base_url}lang/calendar-${local}.js"></script>
+    <script type="text/javascript" src="calendar-setup.js"
+      tal:attributes="src string:${base_url}calendar-setup.js"></script>
+    <script type="text/javascript" src="prototype.js"
+      tal:attributes="src string:${base_url}prototype.js"></script>
+    <script type="text/javascript" src="effects.js"
+      tal:attributes="src string:${base_url}effects.js"></script>
+    <script type="text/javascript" src="controls.js"
+      tal:attributes="src string:${base_url}controls.js"></script>
+    <script type="text/javascript" src="cpsdocument.js"
+      tal:attributes="src string:${base_url}cpsdocument.js"></script>
+   </metal:block>
+  </metal:block>
+
+  <metal:block fill-slot="header">
+    <metal:block define-slot="header">
+        <h3> Edit your clearance Data</h3>
+    </metal:block>
+  </metal:block>
+
+
+  <metal:block fill-slot="main">
+    <form action="ACTION" method="post" id="editForm"
+          enctype="multipart/form-data" class="workflow"
+          tal:attributes="action form_action">
+      <div class="group">
+        <div class="documentFields">
+          <tal:block define="getFormUidHtml nocall:modules/Products.CPSDocument.utils/getFormUidHtml"
+                     replace="structure python:getFormUidHtml(request)"/>
+          <input type="hidden" id="button_placeholder" name="button_placeholder" value="" />
+          <div id="rendered_main" tal:content="structure rendered_main">
+            CONTENT
+          </div>
+        </div>
+      </div>
+   <input type="submit" class="standalone" name="cpsdocument_edit_button"
+         value="Save" 
+         id="cpsdocument_edit_button"
+         tal:condition="not:creation" />
+    </form>
+    <div id="ajax_psm" style="display:none">
+      ajax feedback
+    </div>
+  </metal:block>
+
+</metal:block>
+</metal:block>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_view.pt	(revision 788)
+++ 	(revision )
@@ -1,93 +1,0 @@
-<tal:block define="
-           info context/getStudentInfo;
-           rendered_main python:info['clear_doc'].render(request=request,
-                                               layout_mode = 'edit',
-                                               schema_id='student_clearance',
-                                               layout_id='student_clearance_fe',
-                                               layout_mode='edit',);
-           form_action string:clearance_edit;
-           edition python:True;
-           creation python:False;
-           metadata nothing;
-    ">
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="style_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-
-    <metal:block define-macro="widgets_javascript">
-    <!-- XXX this has to move to CPSSchemas -->
-    <style type="text/css"
-      tal:content="string:@import url(${base_url}calendar-win2k-1.css);"></style>
-    <script type="text/javascript" src="calendar.js"
-      tal:attributes="src string:${base_url}calendar.js"></script>
-    <script type="text/javascript" src="lang/calendar-en.js"
-      tal:define="local cpsmcat/getSelectedLanguage"
-      tal:attributes="src string:${base_url}lang/calendar-${local}.js"></script>
-    <script type="text/javascript" src="calendar-setup.js"
-      tal:attributes="src string:${base_url}calendar-setup.js"></script>
-    <script type="text/javascript" src="prototype.js"
-      tal:attributes="src string:${base_url}prototype.js"></script>
-    <script type="text/javascript" src="effects.js"
-      tal:attributes="src string:${base_url}effects.js"></script>
-    <script type="text/javascript" src="controls.js"
-      tal:attributes="src string:${base_url}controls.js"></script>
-    <script type="text/javascript" src="cpsdocument.js"
-      tal:attributes="src string:${base_url}cpsdocument.js"></script>
-    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.FCKeditor')">
-      <script type="text/javascript">
-        var popup_editor_form = 'popup_fckeditor_form';
-        var width = 640;
-        var height = 520;
-      </script>
-    </tal:block>
-    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.Epoz')">
-      <script type="text/javascript">
-        var popup_editor_form = 'popup_rte_form';
-        var width = 640;
-        var height = 480;
-      </script>
-    </tal:block>
-    <script type="text/javascript">
-     function popup_rte(input_id, label_edit) {
-       var args, value;
-       value = document.getElementById(input_id).value;
-       args = '?input_id='+input_id+'&amp;label_edit='+escape(label_edit);
-       str_window_features = 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,dependent=1,width=' + width + ',height=' + height;
-       popup = window.open(popup_editor_form + args, input_id, str_window_features);
-       if (!popup.opener) {
-         popup.opener = window;
-       }
-       return false;
-     }
-   </script>
-   </metal:block>
-  </metal:block>
-
-    <h1> Edit your clearance Data</h1>
-
-  <metal:block fill-slot="main">
-    <form action="ACTION" method="post" id="editForm"
-          enctype="multipart/form-data" class="workflow"
-          tal:attributes="action form_action">
-      <div class="group">
-        <div class="documentFields">
-          <tal:block define="getFormUidHtml nocall:modules/Products.CPSDocument.utils/getFormUidHtml"
-                     replace="structure python:getFormUidHtml(request)"/>
-          <input type="hidden" id="button_placeholder" name="button_placeholder" value="" />
-          <div id="rendered_main" tal:content="structure rendered_main">
-            CONTENT
-          </div>
-        </div>
-        <metal:block use-macro="here/cpsdocument_edit_buttons/macros/buttons"/>
-      </div>
-    </form>
-    <div id="ajax_psm" style="display:none">
-      ajax feedback
-    </div>
-  </metal:block>
-
-</metal:block>
-</metal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt	(revision 788)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
-            
-        <div style="text-align: right"
-             tal:condition="python:review_state in ('admission_applied', 'clearance_pin_entered',)">
-        <a href="" target="slip" tal:attributes="href string:application_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Application Slip
-        </a>
-        
-        </div>
-
-        <h3>My Application Record</h3>
-        <br />
-        <span tal:omit-tag=""
-              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-              layout_mode='view', 
-              layout_id='student_application_fe')" 
-              />
-      </span>
-        <h3>My Study Course</h3>
-      <br />
-      <table tal:define="sc python: info['course_doc']">
-        <tr>
-          <td tal:content="sc/title" /> <td>ID: <span tal:content="sc/study_course" /></td>
-        </tr>
-        <tr>
-          <td tal:content="sc/title" /> <td tal:content="sc/study_course" />
-        </tr>
-      </table>
-      
-      <form action="." method="post" class="group"
-            >
-        <table width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input type="submit" name="defer_admission:method" value="defer"
-                       class="destructive"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('confirm that you defer'), )" 
-                       />
-                <input type="submit" name="application_edit:method"
-                       class="context" value="upload Passport" 
-                       />
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt	(revision 788)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_edit.pt	(revision 789)
@@ -14,13 +14,9 @@
   widgets python:context.getRenderedWidgets(layout);
   ">
-  <form action="" id="editForm" method="post" 
-        enctype="multipart/form-data" class="workflow"
-        tal:attributes="action formaction"
-        >
   <table class="layoutDefault" summary="Form layout"
          tal:condition="layout/rows">
     <span tal:repeat="row python: layout['rows']" valign="top" >
       <span tal:repeat="cell row">
-        <tr tal:define="widget cell/widget;
+        <span tal:define="widget cell/widget;
               wid widget/getWidgetId;
               err python:ds.getError(wid);
@@ -32,4 +28,8 @@
               tal:condition="python: wid != 'passport'"
               >
+        <tr tal:condition="widget/description|nothing" class="even ajaxtd">
+          <th colspan="5" align="center"><h3 tal:replace="widget/description" /></th>
+        </tr>
+        <tr>
           <div tal:attributes="class widget_css_class;
           id python:widget.getHtmlWidgetId()+'_widget';"
@@ -67,23 +67,6 @@
         </tr>
       </span>
+      </span>
     </span>
   </table>
-  <br />
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-         value="Save" 
-         id="cpsdocument_edit_button"
-         tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="proceed"
-         value="apply for admission"
-         id="cpsdocument_edit_and_view_button"
-         tal:condition="proceed" 
-         tal:attributes="value proceed"/>
-  <input type="submit" 
-         class="standalone" 
-         name="cpsdocument_create_button"
-         value="apply"
-         tal:attributes="value options/button"
-         tal:condition="creation" />
-
-</form>
 </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 788)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 789)
@@ -35,5 +35,5 @@
         return redirect("%s/application_edit" % info['app'].absolute_url())
     elif state in ('admitted',):
-        return redirect("%s/defer_view" % student.absolute_url())
+        return redirect("%s/accept_aadmission_form" % student.absolute_url())
     elif state == 'clearance_pin_entered':
         return redirect("%s/student_view" % info['clear'].absolute_url())