Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 789)
+++ /WAeUP_SRP/trunk/Students.py	(revision 790)
@@ -387,5 +387,5 @@
             else:
                 wftool.doActionFor(student,'pume_fail')
-                wftool.doActionFor(student,'finally_reject')
+                wftool.doActionFor(student,'reject_admission')
             if len(no_import) > 1:
                 open("%s/import/%s_not_imported.csv" % (i_home,name),"w").write(
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 789)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 790)
@@ -224,17 +224,4 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="email" meta_type="Email Widget">
-  <property name="title">Email</property>
-  <property name="fields">
-   <element value="email"/>
-  </property>
-  <property name="label">Email</property>
-  <property name="label_edit">Email</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="entry_date" meta_type="Date Widget">
   <property name="title">Entry Date</property>
@@ -754,7 +741,4 @@
   </row>
   <row>
-   <cell name="email"/>
-  </row>
-  <row>
    <cell name="fst_sit_fname"/>
   </row>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 789)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 790)
@@ -55,4 +55,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="render_format">radio</property>    
  </widget>
  <widget name="age_dec" meta_type="Image Widget">
@@ -93,4 +94,5 @@
   <property name="label">Fullname</property>
   <property name="label_edit">Fullname</property>
+  <property name="description">Advanced Level Data</property>
   <property
      name="help">Fullname as it appears on certificate/result</property>
@@ -138,4 +140,5 @@
   <property name="label">Birth Certificate</property>
   <property name="label_edit">Birth Certificate</property>
+  <property name="description">Other Documents</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -223,17 +226,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="email" meta_type="Email Widget">
-  <property name="title">Email</property>
-  <property name="fields">
-   <element value="email"/>
-  </property>
-  <property name="label">Email</property>
-  <property name="label_edit">Email</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="render_format">radio</property>    
  </widget>
  <widget name="entry_date" meta_type="Date Widget">
@@ -300,9 +291,11 @@
   <property name="label">First Choice</property>
   <property name="label_edit">First Choice</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="description">Administrative Data</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="render_format">radio</property>    
  </widget>
  <widget name="fst_sit_date" meta_type="Date Widget">
@@ -326,4 +319,5 @@
   <property name="label">Fullname</property>
   <property name="label_edit">Fullname</property>
+  <property name="description">First Sitting Data</property>
   <property
      name="help">Fullname as it appears on certificate/result</property>
@@ -398,4 +392,5 @@
   <property name="label">Higher Qualification Grade</property>
   <property name="label_edit">Higher Qualification Grade</property>
+  <property name="description">Higher Qualification Data</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -615,4 +610,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="render_format">radio</property>    
  </widget>
  <widget name="scd_sit_date" meta_type="Date Widget">
@@ -636,4 +632,5 @@
   <property name="label">Fullname</property>
   <property name="label_edit">Fullname</property>
+  <property name="description">Second Sitting  Level Data</property>
   <property
      name="help">Fullname as it appears on certificate/result</property>
@@ -717,4 +714,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="render_format">radio</property>    
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
@@ -730,4 +728,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="render_format">radio</property>    
  </widget>
  <table>
@@ -752,7 +751,4 @@
   <row>
    <cell name="nationality"/>
-  </row>
-  <row>
-   <cell name="email"/>
   </row>
   <row>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 789)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 790)
@@ -16,6 +16,4 @@
  <field name="lga" meta_type="CPS String Field"/>
  <field name="nationality" meta_type="CPS String Field"/>
-
- <field name="email" meta_type="CPS String Field" />
 
  <field name="fst_sit_fname" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/widget_image_render.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/widget_image_render.pt	(revision 790)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/widget_image_render.pt	(revision 790)
@@ -0,0 +1,131 @@
+<tal:block define="mode options/mode;
+  id here/getWidgetId;
+  current_filename options/current_filename;
+  empty_file options/empty_file;
+  session_file options/session_file;
+  mimetype options/mimetype;
+  size options/size;
+  content_url options/content_url;
+  last_modified options/last_modified;
+  image_tag options/image_tag;    
+  ">
+  <img tal:condition="python: mode == 'view' and not empty_file"
+    tal:replace="structure image_tag" />
+
+
+  <tal:block condition="python: 0 and mode == 'view' and not empty_file">
+    <metal:block define-macro="file_view">
+      <a target="_blank" tal:condition="mimetype"
+        tal:attributes="href string:${content_url}?nocache=${last_modified}">
+        <img tal:replace="structure python:here.getImgTag(mimetype.icon_path,
+          title=mimetype.name())" /></a>
+      <a class="strong"
+        tal:attributes="href string:${content_url}?nocache=${last_modified}">
+        <tal:block replace="current_filename" /></a>
+      <span tal:condition="size" class="note"
+        tal:define="str_size python:here.getHumanReadableSize(size);">
+        <tal:block content="str_size"/>
+      </span>
+    </metal:block>
+  </tal:block>
+
+  <tal:block condition="python: mode == 'edit'">
+
+    <metal:block define-macro="file_size_max_view">
+      <tal:block define="size_max python:here.size_max;
+                         str_sizeMax python:here.getHumanReadableSize(size_max)"
+        condition="python:size_max > 0">
+
+        <p i18n:translate="">
+          cpsschemas_size_max
+          <tal:block i18n:name="size_max" content="str_sizeMax"/>
+        </p>
+      </tal:block>
+    </metal:block>
+
+    <metal:block define-macro="file_title_edit">
+      <p tal:define="name here/getHtmlWidgetId;
+                     title_name string:${name}_filename;">
+        <span i18n:translate="cpsschemas_label_filename">
+          Filename
+        </span>
+        <input style="margin-left: 5px" type="text" size="30" maxlength="80"
+               tal:attributes="name title_name;
+                               value current_filename" />
+      </p>
+    </metal:block>
+
+    <metal:block define-macro="file_edit">
+
+      <ul class="fileChoice"
+          tal:define="name here/getHtmlWidgetId;
+                      radio_name string:${name}_choice;">
+        <li>
+          <metal:block define-slot="keep_file">
+            <input type="radio" class="noborder" name="." value="keep"
+                   checked="checked"
+                   tal:attributes="name radio_name;
+                                   id string:${radio_name}_keep;"/>
+            <label i18n:translate="cpsschemas_label_file_none"
+                   tal:condition="empty_file"
+                   tal:attributes="for string:${radio_name}_keep">None</label>
+            <label i18n:translate="cpsschemas_label_file_keep"
+                   tal:condition="not:empty_file"
+                   tal:attributes="for string:${radio_name}_keep">Keep</label>
+            <a href="http://url..." target="_blank"
+               tal:condition="not:empty_file"
+               tal:omit-tag="session_file"
+               tal:attributes="href string:${content_url}?nocache=${last_modified}">
+              <tal:block condition="mimetype"
+                replace="structure python:here.getImgTag(mimetype.icon_path,
+                  title=mimetype.name())" />
+              <tal:block replace="current_filename" />
+            </a>
+            <tal:block condition="python:not empty_file and not session_file and modules['Products.CPSUtil.integration'].isProductPresent('Products.ExternalEditor')">
+              <tal:block define="ds options/datastructure;
+                                 dm ds/getDataModel;
+                                 proxy dm/getProxy;
+                                 display_ee
+                                   here/display_external_editor|python:True;
+                                 portal here/portal_url/getPortalObject;
+                                 field_id python:here.fields[0]">
+              <tal:block condition="python: proxy and display_ee">
+                -
+                <a href="http://url..."
+                   i18n:translate="cpsschemas_label_file_edit_online"
+                   tal:attributes="href python:portal.getExternalEditorPath(proxy, id, field_id)">
+                  Edit file online
+                </a>
+              </tal:block>
+              </tal:block>
+            </tal:block>
+          </metal:block>
+        </li>
+        <metal:block define-slot="edit_file_action" />
+        <li>
+          <metal:block define-slot="change_file">
+            <input type="radio" class="noborder"  name="." value="change"
+                   tal:attributes="name radio_name;
+                                   id string:${radio_name}_change" />
+            <label i18n:translate="cpsschemas_label_file_change"
+                   tal:attributes="for string:${radio_name}_change">Change</label>
+            <input type="file" name="." size="24"
+                   tal:attributes="name name;
+              onclick string:document.getElementById('${radio_name}_change').checked='checked'" />
+          </metal:block>
+        </li>
+        <li tal:condition="python: not here.is_required and not empty_file">
+          <metal:block define-slot="delete_file">
+            <input type="radio" class="noborder" name="." value="delete"
+                   tal:attributes="name radio_name;
+                                   id string:${radio_name}_delete" />
+            <label i18n:translate="cpsschemas_label_file_delete"
+                   tal:attributes="for string:${radio_name}_delete">Delete</label>
+          </metal:block>
+        </li>
+      </ul>
+    </metal:block>
+
+  </tal:block>
+
+</tal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py	(revision 789)
+++ /WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py	(revision 790)
@@ -24,3 +24,3 @@
 info['app_doc'].edit(mapping={'defer_date':current,})
 wf.doActionFor(info['student'],'defer')
-return context.defer_done_view(info=info)
+return context.defer_view(info=info)
Index: eUP_SRP/trunk/skins/waeup_student/defer_done_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/defer_done_view.pt	(revision 789)
+++ 	(revision )
@@ -1,31 +1,0 @@
-<metal:html tal:define="info options/info|context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
-            
-        <h3>You defered your Study</h3>
-        <h3>My Application Record</h3>
-        <br />
-        <span tal:omit-tag=""
-              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-              layout_mode='view', 
-              layout_id='student_application_fe')" 
-              />
-      </span>
-        <h3>My Study Course</h3>
-      <br />
-      <table tal:define="sc python: info['course_doc']">
-        <tr>
-          <td tal:content="sc/title" /> <td>ID: <span tal:content="sc/study_course" /></td>
-        </tr>
-        <tr>
-          <td tal:content="sc/title" /> <td tal:content="sc/study_course" />
-        </tr>
-      </table>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt	(revision 790)
+++ /WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt	(revision 790)
@@ -0,0 +1,31 @@
+<metal:html tal:define="info options/info|context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="info"
+            tal:define="review_state info/review_state">
+            
+        <h3>You defered your Study</h3>
+        <h3>My Application Record</h3>
+        <br />
+        <span tal:omit-tag=""
+              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+              layout_mode='view', 
+              layout_id='student_application_fe')" 
+              />
+      </span>
+        <h3>My Study Course</h3>
+      <br />
+      <table tal:define="sc python: info['course_doc']">
+        <tr>
+          <td tal:content="sc/title" /> <td>ID: <span tal:content="sc/study_course" /></td>
+        </tr>
+        <tr>
+          <td tal:content="sc/title" /> <td tal:content="sc/study_course" />
+        </tr>
+      </table>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 790)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 790)
@@ -0,0 +1,61 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('jamb_reg_no',
+                                 'app_ac_pin',
+                                 'app_ac_date',
+                                 'app_email',
+                                 'app_mobile',
+                                 'jamb_lastname',
+                                 'jamb_sex',
+                                 'jamb_first_cos',
+                                 'jamb_second_cos',)"
+                                 >
+  <table cellpadding="2" cellspacing="2" summary="layout">
+    <tr>
+      <td><span class="dlabel">Student ID</span>:
+      </td>
+      <td> 
+         <span tal:replace="python:here.aq_parent.aq_parent.id" />
+      </td>      
+    </tr>
+    <tr tal:repeat="field fields">
+      <tal:block tal:define="cell python: widgets[field]">
+        <tal:block define="widget cell/widget">
+          <div tal:attributes="class cell/widget_css_class|string:label;
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td >
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:replace="structure cell/widget_rendered" />
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+    <tr>
+      <tal:block define="cell widgets/passport;
+                         widget cell/widget"
+                         >
+          <div tal:attributes="class cell/widget_css_class|nothing;
+              id python:widget.getHtmlWidgetId()+'_widget';">
+            <td valign="top">
+            <tal:block condition="widget/label">
+              <span class="label"
+                    tal:content="widget/label">label</span>:
+            </tal:block>
+            </td>
+            <td>
+              <img src="img" tal:replace="structure cell/widget_rendered">
+            </td>
+          </div>
+      </tal:block>
+    </tr>    
+  </table>
+</metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py	(revision 789)
+++ /WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py	(revision 790)
@@ -46,4 +46,5 @@
     review_state = info['review_state']
     wf.doActionFor(info['student'],'enter_clearance_pin')
+    wf.doActionFor(info['app'],'close')
     wf.doActionFor(info['clear'],'open')
     pin = str(ds.get('clr_ac_pin'))
@@ -52,3 +53,3 @@
     dc['clr_ac_date'] = current
     info['clear_doc'].edit(mapping = dc)
-return redirect("%s/clearance_edit_view" % info['clear'].absolute_url())
+return redirect("%s/clearance_edit_form" % info['clear'].absolute_url())