Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 795)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 796)
@@ -466,5 +466,5 @@
                 break
             if ok == 0:
-                err = 'PIN already used'
+                err = 'PIN already used.'
                 break
             if ok >= 1:
@@ -477,9 +477,9 @@
                     student = getStudentByRegNo(self,ref)
                 if student is None:
-                    err = "Student not Found in validate SC"
+                    err = "Student not found."
                     break
                 s_id = student.getId()
                 if ok == 2:
-                    err = "You already used this PIN please login"
+                    err = "You are a portal member, please login with your Student Id and Password."
                     break
                 student.getContent().makeStudentMember(s_id,password=pin[4:])
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 795)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 796)
@@ -55,5 +55,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>    
+  <property name="render_format">radio</property>
  </widget>
  <widget name="age_dec" meta_type="Image Widget">
@@ -237,5 +237,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>    
+  <property name="render_format">radio</property>
  </widget>
  <widget name="entry_date" meta_type="Date Widget">
@@ -246,5 +246,7 @@
   <property name="label">Entry Date</property>
   <property name="label_edit">Entry Date</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+    <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
     <element value="create"/>
@@ -259,5 +261,7 @@
   <property name="label">Entry Session</property>
   <property name="label_edit">Entry Session</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+    <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
     <element value="create"/>
@@ -289,5 +293,6 @@
   <property name="label">Former Matric/RegNo</property>
   <property name="label_edit">Former Matric/RegNo</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+  </property>
   <property name="hidden_layout_modes">
     <element value="create"/>
@@ -308,5 +313,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>    
+  <property name="render_format">radio</property>
  </widget>
  <widget name="fst_sit_date" meta_type="Date Widget">
@@ -414,5 +419,4 @@
   <property name="label">Higher Qualification Grade</property>
   <property name="label_edit">Higher Qualification Grade</property>
-  <property name="description">Higher Qualification Data</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -485,4 +489,5 @@
   <property name="label">Higher Qualification</property>
   <property name="label_edit">Higher Qualification</property>
+  <property name="description">Higher Qualification Data</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -564,5 +569,7 @@
   <property name="label">Matriculation Number</property>
   <property name="label_edit">Matriculation Number</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+    <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
     <element value="create"/>
@@ -632,5 +639,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>    
+  <property name="render_format">radio</property>
  </widget>
  <widget name="scd_sit_date" meta_type="Date Widget">
@@ -747,5 +754,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>    
+  <property name="render_format">radio</property>
  </widget>
  <widget name="uniben" meta_type="Boolean Widget">
@@ -761,5 +768,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">radio</property>    
+  <property name="render_format">radio</property>
  </widget>
  <table>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 795)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 796)
@@ -11,5 +11,5 @@
  <item key="pume_passed" msgid="">pume passed</item>
  <item key="pume_failed" msgid="">pume failed</item>
- <item key="deferred" msgid="">deferred</item>
+ <item key="deferred" msgid="">admission deferred</item>
  <item key="admission_rejected" msgid="">admission rejected</item>
  <item key="finally_rejected" msgid="">finally rejected</item>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 796)
@@ -54,4 +54,6 @@
                 #student.content_status_modify(workflow_action="enter_clearance_pin")
                 wftool.doActionFor(info['app'],'open',dest_container=info['app'])
+                if info['pume'] is not None:
+                  wftool.doActionFor(info['pume'],'close',dest_container=info['pume'])
                 da = {}
                 pin = request.get('pin')
@@ -90,4 +92,6 @@
     if info['review_state'] == "application_pin_entered":
         return response.redirect("%s/application_edit" % student.absolute_url())
+    elif info['review_state'] == "admitted":
+        return response.redirect("%s/admission_accept_form" % student.absolute_url())
     elif info['review_state'] == "clearance_pin_entered":
         return response.redirect("%s/clearance_edit" % student.absolute_url())        
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_edit.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_edit.py	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_edit.py	(revision 796)
@@ -33,5 +33,5 @@
 clear_doc = info['clear_doc']
 state = context.getStudentInfo()['review_state']
-is_valid, ds = app_doc.validate(request=REQUEST, 
+is_valid, ds = app_doc.validate(request=REQUEST,
                                 schema_id = 'student_application',
                                 layout_id = 'student_application_fe',
@@ -43,11 +43,14 @@
 action = "/application_edit_form"
 base_url = app.absolute_url()
+
+if app_doc.passport is not None:
+    args['proceed'] = 'Continue'
+
 if cpsdocument_edit_button:
     if is_valid:
         if app_doc.passport is not None:
-            args['proceed'] = 'Continue to Clearance'
-            psm = 'You successfully uploaded your passport image.'
+            args['portal_status_message'] = 'You successfully uploaded your passport picture.'
         else:
-            psm = "You didn't upload a passport image."
+            args['portal_status_message'] = "You didn't upload a passport picture."
 elif proceed:
     if is_valid:
@@ -55,6 +58,8 @@
         base_url = clear.absolute_url()
     else:
-        psm = 'psm_content_error'
-args['portal_status_message'] = psm
-url = base_url + action + '?' + urlencode(args)
+        args['portal_status_message'] = 'psm_content_error'
+if args:
+  url = base_url + action + '?' + urlencode(args)
+else:
+  url = base_url + action
 REQUEST.RESPONSE.redirect(url)
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 796)
@@ -7,12 +7,20 @@
                       use_session=True, no_form=True)">
   <metal:body use-macro="here/waeup_content_master/macros/master">
+  
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3>Update your Application Data!</h3>
+      <br />
+    </metal:block>  
+  
     <metal:main fill-slot="main">
       <span tal:condition="not: info">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
       </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
-        <h3>Upload or Change your Passport Picture!</h3>
-        <br />
+      <span tal:condition="info">
         <span tal:omit-tag="" tal:replace="structure rendered_main"/>
       </span>
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 796)
@@ -41,9 +41,12 @@
 
   <metal:block fill-slot="header">
-    <metal:block define-slot="header">
-        <h3> Edit your clearance Data</h3>
-    </metal:block>
+     <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+    <h3>Fill Your Clearance Form!</h3>
+    <br />    
   </metal:block>
-
 
   <metal:block fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt	(revision 796)
@@ -14,12 +14,7 @@
     </metal:block>
       <metal:block fill-slot="main">
-        <h3>Request Clearance! </h3>
+        <h3>Start Clearance! </h3>
         <br />
         <div tal:replace="structure rendered_main" />
-          <p>Instructions :</p>
-          <ul>
-            <li>Buy a Clearance Scratch Card.</li> 
-            <li>Apply</li>
-          </ul>
       </metal:block>
       <metal:block fill-slot="sub">
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 796)
@@ -124,6 +124,6 @@
         row['s_edit_link'] = "%s/%s" % (soo.absolute_url(),se_link)
     row['review_state'] = so.review_state
-    row['display'] = so.review_state in ('opened','closed','public',) or\
-                     so.portal_type in ("StudentAccommodation","StudentStudyCourse")
+    row['display'] = so.review_state in ('opened','closed','public',) #or\
+                     #so.portal_type in ("StudentAccommodation","StudentStudyCourse")
     items.append(row)
 info['items'] = items
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_clearance_view.pt	(revision 796)
@@ -5,13 +5,5 @@
               dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
-              fields python:('jamb_reg_no',
-                                 'app_ac_pin',
-                                 'app_ac_date',
-                                 'app_email',
-                                 'app_mobile',
-                                 'jamb_lastname',
-                                 'jamb_sex',
-                                 'jamb_first_cos',
-                                 'jamb_second_cos',)"
+              fields python:('')"
                                  >
   <table cellpadding="2" cellspacing="2" summary="layout">
@@ -40,22 +32,4 @@
       </tal:block>
     </tr>
-    <tr>
-      <tal:block define="cell widgets/passport;
-                         widget cell/widget"
-                         >
-          <div tal:attributes="class cell/widget_css_class|nothing;
-              id python:widget.getHtmlWidgetId()+'_widget';">
-            <td valign="top">
-            <tal:block condition="widget/label">
-              <span class="label"
-                    tal:content="widget/label">label</span>:
-            </tal:block>
-            </td>
-            <td>
-              <img src="img" tal:replace="structure cell/widget_rendered">
-            </td>
-          </div>
-      </tal:block>
-    </tr>    
   </table>
 </metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 796)
@@ -62,8 +62,8 @@
   
   <span tal:condition="python:path('info/review_state')=='deferred'">
-  <tr><td class="stopped">Deferred</td></tr>
+  <tr><td class="stopped">Admission deferred</td></tr>
   </span>
   <span tal:condition="python:path('info/review_state')!='deferred'">
-  <tr><td>Deferred</td></tr>
+  <tr><td>Admission deferred</td></tr>
   </span>  
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py	(revision 795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py	(revision 796)
@@ -25,5 +25,5 @@
                       layout_mode='create',
                       formaction = "request_clearance",
-                      button = "Request Clearance",
+                      button = "Start",
                       )
 if psm == 'invalid':