Index: WAeUP_SRP/trunk/skins/waeup_student/admission_accept_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_accept_form.pt	(revision 796)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_accept_form.pt	(revision 797)
@@ -2,38 +2,50 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
-            
-        <div style="text-align: right"
-             tal:condition="python:review_state in ('admission_applied', 'clearance_pin_entered',)">
-        <a href="" target="slip" tal:attributes="href string:application_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Application Slip
-        </a>
-        
-        </div>
+    <span tal:condition="not: info">
+      <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>
+    <span tal:condition="info"
+          tal:define="review_state info/review_state">
+          
 
-        <h3>My Application Record</h3>
-        <br />
-        <span tal:omit-tag=""
-              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-              layout_mode='view', 
-              layout_id='student_application_fe')" 
-              />
-      </span>
-        <h3>My Study Course</h3>
+      <h2>You are admitted to the University of Benin!</h2>
+
+      <h3>Your Study Course</h3>
       <br />
       <table tal:define="sc python: info['course_doc']">
         <tr>
-          <td tal:content="sc/title" /> <td>ID: <span tal:content="sc/study_course" /></td>
+          <td>Certificate:</td> 
+          <td><span tal:content="sc/title" /></td>
         </tr>
         <tr>
-          <td tal:content="sc/title" /> <td tal:content="sc/study_course" />
+          <td>Certificate ID:</td>
+          <td tal:content="sc/study_course" />
         </tr>
-      </table>
+        <tr>
+          <td>Faculty ID:</td>
+          <td tal:content="sc/faculty" />
+        </tr>
+        <tr>
+          <td>Department ID:</td> 
+          <td><span tal:content="sc/department" /></td>
+        </tr>        
+      </table>        
+
+      <h3>Your Application Record</h3>
+      <br />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view', 
+            layout_id='student_application_fe')" 
+            />
+      
+      <h3>Your PUME Results</h3>
+      <br />
+      <span tal:omit-tag=""
+            tal:condition="python:info['pume'] is not None"
+            tal:content="structure python: info['pume_doc'].render(proxy=info['pume_doc'],
+            layout_mode='view', 
+            layout_id='student_pume_fe')" 
+            />
       
       <form action="." method="post" class="group"
@@ -44,16 +56,17 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-                <input type="submit" name="defer_admission:method" value="defer"
+                <input type="submit" name="defer_admission:method" value="Reject/Defer Admission"
                        class="destructive"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('confirm that you defer'), )" 
+                       (cpsmcat('Confirm that you want to reject/defer your admision.'), )" 
                        />
                 <input type="submit" name="application_edit:method"
-                       class="context" value="upload Passport" 
+                       class="context" value="Continue" 
                        />
             </td>
           </tr>
         </table>
-      </form>
+       </form>
+    </span>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_rejected_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_rejected_view.pt	(revision 797)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_rejected_view.pt	(revision 797)
@@ -0,0 +1,13 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+    <span tal:condition="not: info">
+      <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>
+    <span tal:condition="info"
+          tal:define="review_state info/review_state">
+      <h2>You are not admitted to the University of Benin!</h2>
+    </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 796)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 797)
@@ -20,5 +20,5 @@
           <ul>
             <li>Buy an Application Scratch Card.</li> 
-            <li>Enter your JAMB registration number and the Application PIN above.</li> 
+            <li>Enter your JAMB Registration Number and the Application PIN above.</li> 
             <li>Upload your passport picture.</li> 
             <li>Apply for admission.</li>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 796)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 797)
@@ -9,5 +9,5 @@
             
         <div style="text-align: right"
-             tal:condition="python:review_state in ('admission_applied', 'clearance_pin_entered',)">
+             tal:condition="python:review_state in ('admission_applied','clearance_pin_entered','admitted',)">
         <a href="" target="slip" tal:attributes="href string:application_slip"
             onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
Index: WAeUP_SRP/trunk/skins/waeup_student/check_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/check_admission.py	(revision 796)
+++ WAeUP_SRP/trunk/skins/waeup_student/check_admission.py	(revision 797)
@@ -47,6 +47,6 @@
     student = getattr(context.campus.students, s_id)
     review_state = wf.getInfoFor(student,'review_state',None)
-    if review_state == "finally_rejected":
-        url = "%s/campus/students/%s/pume/finally_rejected_view" % (context.portal_url(),s_id)
+    if review_state == "admission_rejected":
+        url = "%s/campus/students/%s/pume/admission_rejected_view" % (context.portal_url(),s_id)
         return redirect(url)
     pin = str(ds.get('app_ac_pin'))
Index: WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt	(revision 796)
+++ WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt	(revision 797)
@@ -14,11 +14,11 @@
     </metal:block>
       <metal:block fill-slot="main">
-        <h3>Check if your admitted! </h3>
+        <h3>Check Your Admission Status! </h3>
         <br />
         <div tal:replace="structure rendered_main" />
           <p>Instructions :</p>
           <ul>
-            <li>Buy an Admission Scratch Card.</li> 
-            <li>Enter your JAMB registration number and the Admission PIN above.</li> 
+            <li>Buy an Application Scratch Card.</li> 
+            <li>Enter your JAMB Registration Number, the Admission PIN and your Email Address above.</li> 
           </ul>
       </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/finally_rejected_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/finally_rejected_view.pt	(revision 796)
+++ 	(revision )
@@ -1,31 +1,0 @@
-<metal:html tal:define="app_doc python: context.aq_parent.application.getContent();
-                        pume_doc python: context.getContent()">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-
-            
-        <div style="text-align: right">
-        <a href="" target="slip" tal:attributes="href string:pume_anon_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-        
-        </a>
-        </div>
-
-        <h3><span tal:content="app_doc/jamb_firstname" />
-                            <span tal:content="app_doc/jamb_lastname" /> is not admitted</h3>
-
-        <span tal:omit-tag=""
-              tal:content="structure python: app_doc.render(proxy=app_doc,
-              layout_mode='view_info', 
-              layout_id='student_application_fe')" 
-              />        
-        <span tal:omit-tag=""
-              tal:content="structure python: pume_doc.render(proxy=pume_doc,
-              layout_mode='view', 
-              layout_id='student_pume_fe')" 
-              />
-
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 796)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 797)
@@ -51,5 +51,11 @@
 
   <span tal:condition="python:path('info/review_state')=='admitted'">
-  <tr><td class="active">Admitted</td></tr>
+  <tr>
+    <td class="active">
+    <a href="" tal:attributes="href string:${info/url}/admission_accept_form">
+    Admitted
+    </a>
+    </td>
+  </tr>
   </span>
   <span tal:condition="python:path('info/review_state')=='admission_rejected'">
Index: WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py	(revision 796)
+++ WAeUP_SRP/trunk/skins/waeup_student/request_clearance.py	(revision 797)
@@ -27,4 +27,16 @@
                       button = "Start",
                       )
+
+info = context.getStudentInfo()
+app_doc = info['app_doc']
+if app_doc.passport is None:
+    return context.clearance_pin_form(rendered = res,
+                                 psm = "You must upload your passport picture before you can start the registration process.",
+                                 #psm = "%s, %s" % (psm,ds),
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+
 if psm == 'invalid':
     return context.clearance_pin_form(rendered = res,