Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_content_master.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_content_master.pt	(revision 801)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_content_master.pt	(revision 802)
@@ -28,11 +28,4 @@
         Up one level
       </a>
-      <h1 tal:content="here/title_or_id">
-        Page Title
-      </h1>
-      <div class="description" tal:content="doc/Description"
-           tal:condition="nothing">
-        Document Description goes here.
-      </div>
     </metal:block>
   </metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt	(revision 801)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt	(revision 802)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
+  <metal:body use-macro="here/waeup_content_master/macros/master">
     <metal:main fill-slot="main">
       <span tal:condition="not: info">
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 801)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 802)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
+  <metal:body use-macro="here/waeup_content_master/macros/master">
     <metal:main fill-slot="main">
       <span tal:condition="not: info">
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 801)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 802)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
+  <metal:body use-macro="here/waeup_content_master/macros/master">
     <metal:main fill-slot="main">
       <span tal:condition="not: info">
Index: /WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt	(revision 801)
+++ /WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt	(revision 802)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info options/info|context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
+  <metal:body use-macro="here/waeup_content_master/macros/master">
     <metal:main fill-slot="main">
       <span tal:condition="not: info">
@@ -6,25 +6,6 @@
       </span>
       <span tal:condition="info"
-            tal:define="review_state info/review_state">
-            
-        <h3>You defered your Study</h3>
-        <h3>My Application Record</h3>
-        <br />
-        <span tal:omit-tag=""
-              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-              layout_mode='view', 
-              layout_id='student_application_fe')" 
-              />
-      </span>
-        <h3>My Study Course</h3>
-      <br />
-      <table tal:define="sc python: info['course_doc']">
-        <tr>
-          <td tal:content="sc/title" /> <td>ID: <span tal:content="sc/study_course" /></td>
-        </tr>
-        <tr>
-          <td tal:content="sc/title" /> <td tal:content="sc/study_course" />
-        </tr>
-      </table>
+            tal:define="review_state info/review_state">    
+        <h3>Admission deferred!</h3>
     </metal:main>
   </metal:body>
Index: /WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 801)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 802)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
+  <metal:body use-macro="here/waeup_content_master/macros/master">
     <metal:main fill-slot="main">
       <span tal:condition="not: info">
@@ -9,5 +9,5 @@
             
         <div style="text-align: right"
-             tal:condition="python:review_state in ('admitted', 'pume_passed', 'pume_failed',)">
+             tal:condition="python:review_state in ('admitted', 'pume_passed', 'pume_failed', 'clearance_pin_entered',)">
         <a href="" target="slip" tal:attributes="href string:pume_slip"
             onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">