Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 802)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 803)
@@ -341,5 +341,5 @@
     def validate(self, datastructure, **kw): ###(
         """Validate datastructure and update datamodel."""
-        #import pdb;pdb.set_trace()
+        import pdb;pdb.set_trace()
         widget_id = self.getWidgetId()
         v = datastructure[widget_id]
@@ -347,5 +347,7 @@
         s = datastructure[widget_id+'_s'].strip()
         g = datastructure[widget_id+'_g'].strip()
-        if not s and g:
+        if not type(v) is type({}):
+            pass
+        elif not s and g:
             err = "no subject grad for subject %s " % s
         elif v.has_key(s):
Index: WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 802)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 803)
@@ -53,7 +53,8 @@
             if info['review_state'] in ("student_created","admitted"):
                 #student.content_status_modify(workflow_action="enter_clearance_pin")
-                wftool.doActionFor(info['app'],'open',dest_container=info['app'])
+                wftool.doActionFor(info['app'],'open')
+                #wftool.doActionFor(info['pume'],'close')
                 if info['pume'] is not None:
-                  wftool.doActionFor(info['pume'],'close',dest_container=info['pume'])
+                  wftool.doActionFor(info['pume'],'close')
                 da = {}
                 pin = request.get('pin')
Index: WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 802)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 803)
@@ -1,11 +1,16 @@
 <metal:html tal:define="info context/getStudentInfo;
-            rendered_main python:info['app_doc'].render(layout_mode='edit',
-                      proceed = request.get('proceed'),
+            rendered_main python:info['app_doc'].render(
+                      layout_mode='edit',
                       schema_id = 'student_application',
                       layout_id = 'student_application_fe',
-                      request=request, proxy=info['app'],
-                      use_session=True, no_form=True)">
+                      request=request, 
+                      use_session=True,);
+           form_action string:application_edit;
+            proceed request/proceed|nothing;
+           edition python:True;
+           creation python:False;
+           metadata nothing;
+            ">
   <metal:body use-macro="here/waeup_content_master/macros/master">
-  
     <metal:block fill-slot="header">
       <a href=""
@@ -19,4 +24,7 @@
   
     <metal:main fill-slot="main">
+    <form action="ACTION" method="post" id="editForm"
+          enctype="multipart/form-data" class="workflow"
+          tal:attributes="action form_action">
       <span tal:condition="not: info">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
@@ -25,4 +33,14 @@
         <span tal:omit-tag="" tal:replace="structure rendered_main"/>
       </span>
+      <input type="submit" class="standalone" name="cpsdocument_edit_button"
+             value="Save" 
+             id="cpsdocument_edit_button"
+             tal:condition="not:creation" />
+      <input type="submit" class="standalone" name="proceed"
+             value="proceed"
+             id="cpsdocument_edit_and_view_button"
+             tal:condition="proceed" 
+             tal:attributes="value proceed"/>
+    </form>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py	(revision 802)
+++ WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py	(revision 803)
@@ -24,3 +24,3 @@
 info['app_doc'].edit(mapping={'defer_date':current,})
 wf.doActionFor(info['student'],'defer')
-return context.defer_view(info=info)
+return context.defersvn_view(info=info)
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 802)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 803)
@@ -95,7 +95,7 @@
 
 items = []
-s_edit_links = {'StudentApplication': 'application_edit',
+s_edit_links = {'StudentApplication': 'application_edit_form',
               'StudentAccommodation': '',
-              'StudentClearance': 'clearance_edit',
+              'StudentClearance': 'clearance_edit_form',
               'StudentPersonal': '',
               }
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt	(revision 802)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_edit.pt	(revision 803)
@@ -15,8 +15,4 @@
   widgets python:context.getRenderedWidgets(layout);
   ">
-  <form action="" id="editForm" method="post" 
-        enctype="multipart/form-data" class="workflow"
-        tal:attributes="action formaction"
-        >
   <table class="layoutDefault" summary="Form layout"
          tal:condition="layout/rows">
@@ -116,21 +112,3 @@
     </tr>
   </table>
-  <br />
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-         value="Save" 
-         id="cpsdocument_edit_button"
-         tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="proceed"
-         value="proceed"
-         id="cpsdocument_edit_and_view_button"
-         tal:condition="proceed" 
-         tal:attributes="value proceed"/>
-  <input type="submit" 
-         class="standalone" 
-         name="cpsdocument_create_button"
-         value="apply"
-         tal:attributes="value options/button"
-         tal:condition="creation" />
-
-</form>
 </metal:block>