Index: /WAeUP_Doc/InstructionsPart4.rst
===================================================================
--- /WAeUP_Doc/InstructionsPart4.rst	(revision 803)
+++ /WAeUP_Doc/InstructionsPart4.rst	(revision 804)
@@ -32,5 +32,5 @@
 
 
- **New features:**  (a) Your passport picture will be automatically resized on the server by Python imaging software. At the moment, passport resizing does not work from the Uniben server because the necessary software is not yet installed. (b) The registration status box provides links to the respective registration stages. (c) The 'My Study' tab in the navigation bar shows a list of registration objects. Please look at this list before you have applied. Then you'll also see an [edit] link which brings you back to the passport upload form. 
+ **New features:**  (a) Your passport picture will be automatically resized on the server by Python imaging software. At the moment, passport resizing does not work from the Uniben server because the necessary software is not yet installed. (b) The registration status box provides links to the respective registration stages. (c) The 'My Study' tab in the navigation bar shows a list of registration objects. Please look at this list before you apply. You'll see an [edit] link which brings you back to the passport upload form. 
 
 13. Click 'Book Hostel' in the student's action box on the left-hand side, enter a Hostal Application PIN from the list printed before and click 'Book'.
Index: /WAeUP_Doc/InstructionsPart5.html
===================================================================
--- /WAeUP_Doc/InstructionsPart5.html	(revision 804)
+++ /WAeUP_Doc/InstructionsPart5.html	(revision 804)
@@ -0,0 +1,330 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<meta name="generator" content="Docutils 0.4: http://docutils.sourceforge.net/" />
+<title></title>
+<style type="text/css">
+
+/*
+:Author: David Goodger
+:Contact: goodger@users.sourceforge.net
+:Date: $Date: 2005-12-18 01:56:14 +0100 (Sun, 18 Dec 2005) $
+:Revision: $Revision: 4224 $
+:Copyright: This stylesheet has been placed in the public domain.
+
+Default cascading style sheet for the HTML output of Docutils.
+
+See http://docutils.sf.net/docs/howto/html-stylesheets.html for how to
+customize this style sheet.
+*/
+
+/* used to remove borders from tables and images */
+.borderless, table.borderless td, table.borderless th {
+  border: 0 }
+
+table.borderless td, table.borderless th {
+  /* Override padding for "table.docutils td" with "! important".
+     The right padding separates the table cells. */
+  padding: 0 0.5em 0 0 ! important }
+
+.first {
+  /* Override more specific margin styles with "! important". */
+  margin-top: 0 ! important }
+
+.last, .with-subtitle {
+  margin-bottom: 0 ! important }
+
+.hidden {
+  display: none }
+
+a.toc-backref {
+  text-decoration: none ;
+  color: black }
+
+blockquote.epigraph {
+  margin: 2em 5em ; }
+
+dl.docutils dd {
+  margin-bottom: 0.5em }
+
+/* Uncomment (and remove this text!) to get bold-faced definition list terms
+dl.docutils dt {
+  font-weight: bold }
+*/
+
+div.abstract {
+  margin: 2em 5em }
+
+div.abstract p.topic-title {
+  font-weight: bold ;
+  text-align: center }
+
+div.admonition, div.attention, div.caution, div.danger, div.error,
+div.hint, div.important, div.note, div.tip, div.warning {
+  margin: 2em ;
+  border: medium outset ;
+  padding: 1em }
+
+div.admonition p.admonition-title, div.hint p.admonition-title,
+div.important p.admonition-title, div.note p.admonition-title,
+div.tip p.admonition-title {
+  font-weight: bold ;
+  font-family: sans-serif }
+
+div.attention p.admonition-title, div.caution p.admonition-title,
+div.danger p.admonition-title, div.error p.admonition-title,
+div.warning p.admonition-title {
+  color: red ;
+  font-weight: bold ;
+  font-family: sans-serif }
+
+/* Uncomment (and remove this text!) to get reduced vertical space in
+   compound paragraphs.
+div.compound .compound-first, div.compound .compound-middle {
+  margin-bottom: 0.5em }
+
+div.compound .compound-last, div.compound .compound-middle {
+  margin-top: 0.5em }
+*/
+
+div.dedication {
+  margin: 2em 5em ;
+  text-align: center ;
+  font-style: italic }
+
+div.dedication p.topic-title {
+  font-weight: bold ;
+  font-style: normal }
+
+div.figure {
+  margin-left: 2em ;
+  margin-right: 2em }
+
+div.footer, div.header {
+  clear: both;
+  font-size: smaller }
+
+div.line-block {
+  display: block ;
+  margin-top: 1em ;
+  margin-bottom: 1em }
+
+div.line-block div.line-block {
+  margin-top: 0 ;
+  margin-bottom: 0 ;
+  margin-left: 1.5em }
+
+div.sidebar {
+  margin-left: 1em ;
+  border: medium outset ;
+  padding: 1em ;
+  background-color: #ffffee ;
+  width: 40% ;
+  float: right ;
+  clear: right }
+
+div.sidebar p.rubric {
+  font-family: sans-serif ;
+  font-size: medium }
+
+div.system-messages {
+  margin: 5em }
+
+div.system-messages h1 {
+  color: red }
+
+div.system-message {
+  border: medium outset ;
+  padding: 1em }
+
+div.system-message p.system-message-title {
+  color: red ;
+  font-weight: bold }
+
+div.topic {
+  margin: 2em }
+
+h1.section-subtitle, h2.section-subtitle, h3.section-subtitle,
+h4.section-subtitle, h5.section-subtitle, h6.section-subtitle {
+  margin-top: 0.4em }
+
+h1.title {
+  text-align: center }
+
+h2.subtitle {
+  text-align: center }
+
+hr.docutils {
+  width: 75% }
+
+img.align-left {
+  clear: left }
+
+img.align-right {
+  clear: right }
+
+ol.simple, ul.simple {
+  margin-bottom: 1em }
+
+ol.arabic {
+  list-style: decimal }
+
+ol.loweralpha {
+  list-style: lower-alpha }
+
+ol.upperalpha {
+  list-style: upper-alpha }
+
+ol.lowerroman {
+  list-style: lower-roman }
+
+ol.upperroman {
+  list-style: upper-roman }
+
+p.attribution {
+  text-align: right ;
+  margin-left: 50% }
+
+p.caption {
+  font-style: italic }
+
+p.credits {
+  font-style: italic ;
+  font-size: smaller }
+
+p.label {
+  white-space: nowrap }
+
+p.rubric {
+  font-weight: bold ;
+  font-size: larger ;
+  color: maroon ;
+  text-align: center }
+
+p.sidebar-title {
+  font-family: sans-serif ;
+  font-weight: bold ;
+  font-size: larger }
+
+p.sidebar-subtitle {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+p.topic-title {
+  font-weight: bold }
+
+pre.address {
+  margin-bottom: 0 ;
+  margin-top: 0 ;
+  font-family: serif ;
+  font-size: 100% }
+
+pre.literal-block, pre.doctest-block {
+  margin-left: 2em ;
+  margin-right: 2em ;
+  background-color: #eeeeee }
+
+span.classifier {
+  font-family: sans-serif ;
+  font-style: oblique }
+
+span.classifier-delimiter {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+span.interpreted {
+  font-family: sans-serif }
+
+span.option {
+  white-space: nowrap }
+
+span.pre {
+  white-space: pre }
+
+span.problematic {
+  color: red }
+
+span.section-subtitle {
+  /* font-size relative to parent (h1..h6 element) */
+  font-size: 80% }
+
+table.citation {
+  border-left: solid 1px gray;
+  margin-left: 1px }
+
+table.docinfo {
+  margin: 2em 4em }
+
+table.docutils {
+  margin-top: 0.5em ;
+  margin-bottom: 0.5em }
+
+table.footnote {
+  border-left: solid 1px black;
+  margin-left: 1px }
+
+table.docutils td, table.docutils th,
+table.docinfo td, table.docinfo th {
+  padding-left: 0.5em ;
+  padding-right: 0.5em ;
+  vertical-align: top }
+
+table.docutils th.field-name, table.docinfo th.docinfo-name {
+  font-weight: bold ;
+  text-align: left ;
+  white-space: nowrap ;
+  padding-left: 0 }
+
+h1 tt.docutils, h2 tt.docutils, h3 tt.docutils,
+h4 tt.docutils, h5 tt.docutils, h6 tt.docutils {
+  font-size: 100% }
+
+tt.docutils {
+  background-color: #eeeeee }
+
+ul.auto-toc {
+  list-style-type: none }
+
+</style>
+</head>
+<body>
+<div class="document">
+<div class="section">
+<h1><a id="instructions-part-5" name="instructions-part-5">Instructions Part 5</a></h1>
+</div>
+<div class="section">
+<h1><a id="testing-the-srp-pume-result-and-admission-checking-module" name="testing-the-srp-pume-result-and-admission-checking-module">Testing the SRP PUME Result and Admission Checking Module</a></h1>
+<ol class="arabic simple">
+<li>Open your Firefox browser (IE is not recommended but does also work) and login as manager.</li>
+<li>Click the 'Students' navigation tab.</li>
+<li>Search for students which are in state 'admitted'. Print or write down some JAMB Reg Numbers. Do the same for state 'admission rejected'.</li>
+<li>Click the 'PINs' navigation tab and select one of the APP Batches. Print or write down some unused APP PINs.</li>
+<li>Log out (and close all browser windows if you have opened more than one).</li>
+<li>Click 'View PUME Results' and enter any valid JAMB Reg Numbers. The PUME Results of that person shows up.</li>
+<li>Click on 'PUME Result Slip' to see a printable version.</li>
+<li>Click 'Check Admission', enter a JAMB Reg Number of any admitted student together with one of the unuses APP PINs. Then hit the check button. The student will be logged in and the admission status shows up together with the study course the student is admitted.</li>
+<li>The student has two options:</li>
+</ol>
+<blockquote>
+<ol class="loweralpha simple">
+<li>to accept the proposed study course and to proceed to the clearance form (button 'Continue')</li>
+<li>to deny the proposed study course and/or to defer the registration process (button 'Reject/Defer Admission')</li>
+</ol>
+<p>If the student hits the defer button, his/her workflow state changes to 'deferred'.The student cannot go back to the 'admitted' state but can still continue with with the registration process, in case he/she thinks better of it. We propose to include a comment field so that the student can explain why he/she rejects/defers the admission.</p>
+</blockquote>
+</div>
+<div class="section">
+<h1><a id="testing-the-srp-clearance-module" name="testing-the-srp-clearance-module">Testing the SRP Clearance Module</a></h1>
+<ol class="arabic simple" start="10">
+<li>Press the 'Continue' button. You'll be directed to the application form to upload your passport picture. This intermediate step became necessary because we skipped the PUME application procedure.</li>
+<li>Choose a passport picture on your local hard disk and enter a valid email address, then press 'Save'.</li>
+<li>A 'Continue' button appears on the Application Form which brings you directly to the clearance PIN form.</li>
+<li>Enter a fresh CLR PIN. The clearance form shows up. The layout of this form is still under construction. There are no required field, which means, that the 'Save' button can be pressed even if the form is not completely filled. However, only if all documents are uploaded, a 'Request Clearance' button appears (not yet implemented) which closes the form and sends the data to the Clearance Officer.</li>
+<li>Click the 'My Study' navigation tab. You'll see all objects which are in the state 'opened', 'closed' or 'public'. Opened objects can be edited by the student. Usually only one object is 'opened' depending on the student's workflow state.  You can either click on the corresponding [edit] link or on the green status link in the student's workflow status box on the left-hand side.</li>
+</ol>
+</div>
+</div>
+</body>
+</html>
Index: /WAeUP_Doc/InstructionsPart5.rst
===================================================================
--- /WAeUP_Doc/InstructionsPart5.rst	(revision 804)
+++ /WAeUP_Doc/InstructionsPart5.rst	(revision 804)
@@ -0,0 +1,43 @@
+Instructions Part 5 
++++++++++++++++++++
+
+Testing the SRP PUME Result and Admission Checking Module
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+1. Open your Firefox browser (IE is not recommended but does also work) and login as manager.
+
+2. Click the 'Students' navigation tab.
+
+3. Search for students which are in state 'admitted'. Print or write down some JAMB Reg Numbers. Do the same for state 'admission rejected'.
+
+4. Click the 'PINs' navigation tab and select one of the APP Batches. Print or write down some unused APP PINs.
+
+5. Log out (and close all browser windows if you have opened more than one).
+
+6. Click 'View PUME Results' and enter any valid JAMB Reg Numbers. The PUME Results of that person shows up. 
+
+7. Click on 'PUME Result Slip' to see a printable version.
+
+8. Click 'Check Admission', enter a JAMB Reg Number of any admitted student together with one of the unuses APP PINs. Then hit the check button. The student will be logged in and the admission status shows up together with the study course the student is admitted.
+
+9. The student has two options: 
+
+  (a) to accept the proposed study course and to proceed to the clearance form (button 'Continue')
+ 
+  (b) to deny the proposed study course and/or to defer the registration process (button 'Reject/Defer Admission')
+
+  If the student hits the defer button, his/her workflow state changes to 'deferred'.The student cannot go back to the 'admitted' state but can still continue with with the registration process, in case he/she thinks better of it. We propose to include a comment field so that the student can explain why he/she rejects/defers the admission.
+
+
+Testing the SRP Clearance Module
+++++++++++++++++++++++++++++++++
+
+10. Press the 'Continue' button. You'll be directed to the application form to upload your passport picture. This intermediate step became necessary because we skipped the PUME application procedure.
+
+11. Choose a passport picture on your local hard disk and enter a valid email address, then press 'Save'.
+
+12. A 'Continue' button appears on the Application Form which brings you directly to the clearance PIN form. 
+
+13. Enter a fresh CLR PIN. The clearance form shows up. The layout of this form is still under construction. There are no required field, which means, that the 'Save' button can be pressed even if the form is not completely filled. However, only if all documents are uploaded, a 'Request Clearance' button appears (not yet implemented) which closes the form and sends the data to the Clearance Officer.
+
+14. Click the 'My Study' navigation tab. You'll see all objects which are in the state 'opened', 'closed' or 'public'. Opened objects can be edited by the student. Usually only one object is 'opened' depending on the student's workflow state.  You can either click on the corresponding [edit] link or on the green status link in the student's workflow status box on the left-hand side.